Package commonj.sdo.impl

# Class NoHelperProviderException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
commonj.sdo.impl.NoHelperProviderException

All Implemented Interfaces:
  `Serializable`

public class NoHelperProviderException extends RuntimeException
Exception indicating that a HelperProvider could not be located or instantiated. The message will be set to the name of the implementation class; a null value indicates that the name of the implementation could not be determined. The cause will be set to the Throwable that prevented the provider from being located or created.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoHelperProviderException()`
`NoHelperProviderException(String message)`
`NoHelperProviderException(String message, Throwable cause)`
`NoHelperProviderException(Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getImplementationName()`
Return the name of the implementation class that could not be provided.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoHelperProviderException

public NoHelperProviderException()

### NoHelperProviderException

public NoHelperProviderException(String message)

### NoHelperProviderException

public NoHelperProviderException(String message, Throwable cause)

### NoHelperProviderException

public NoHelperProviderException(Throwable cause)

## Method Details

### getImplementationName

public String getImplementationName()
Return the name of the implementation class that could not be provided.

Returns:
  the name of the implementation class; may be null if not known